{
  "/realtime": {
    "get": {
      "summary": "WebSocket: realtime_websocket_endpoint",
      "description": "WebSocket connection endpoint",
      "operationId": "websocket_realtime_websocket_endpoint",
      "parameters": [
        {
          "name": "model",
          "in": "query",
          "required": true,
          "schema": {
            "type": "string"
          }
        },
        {
          "name": "intent",
          "in": "query",
          "required": false,
          "schema": {
            "type": "string"
          }
        },
        {
          "name": "guardrails",
          "in": "query",
          "required": false,
          "schema": {
            "type": "string"
          }
        }
      ],
      "responses": {
        "101": {
          "description": "WebSocket Protocol Switched"
        }
      },
      "tags": [
        "WebSocket"
      ]
    }
  },
  "/realtime/calls": {
    "post": {
      "tags": [
        "realtime"
      ],
      "summary": "Proxy Realtime Calls",
      "operationId": "proxy_realtime_calls_realtime_calls_post",
      "responses": {
        "200": {
          "description": "Successful Response",
          "content": {
            "application/json": {
              "schema": {}
            }
          }
        }
      }
    }
  },
  "/realtime/client_secrets": {
    "post": {
      "tags": [
        "realtime"
      ],
      "summary": "Create Realtime Client Secret",
      "operationId": "create_realtime_client_secret_realtime_client_secrets_post",
      "responses": {
        "200": {
          "description": "Successful Response",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/RealtimeClientSecretResponse"
              }
            }
          }
        }
      },
      "security": [
        {
          "APIKeyHeader": []
        }
      ]
    }
  }
}